<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
<!--Some information has been retained from the existing file!-->
	<out:import href="conversions.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">participants_list</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_participants_list" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/theme_a.css" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/editabletable.css" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/pagingtable.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DivControl.js" type="text/javascript" xmlns=""></script>
		<script src="js/editabletable.js" type="text/javascript" xmlns=""></script>
		<script src="js/jquery.min.js" type="text/javascript" xmlns=""></script>
		<script src="js/jquery.tablesorter.min.js" type="text/javascript" xmlns=""></script>
		<script src="js/jquery.tablesorter.pager.js" type="text/javascript" xmlns=""></script>
		<script src="js/pagingtable.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<div xmlns="">
			<div class="borderedGroup vertical" id="meeting_bordered_group">
				<div class="groupLabelBackground" id="meeting_bordered_group_label_container">
					<h2 class="label" id="meeting_bordered_group_label">Meeting</h2>
				</div>
				<div class="formElement">
					<span class="hide" id="hidden_container">
						<input class="hide" id="hidden" name="hidden" type="hidden" value="{/mvc:eForm/mvc:Data/Meeting/record/MeetingId}" />
						<input name="hidden_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:hidden" />
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="date_label_container">
						<label class="label" for="date" id="date_label">Date</label>
					</span>
					<span class="defaultBackground" id="date_container">
						<input class="textbox" id="date" name="date" size="10" type="text" value="{/mvc:eForm/mvc:Data/Meeting/record/MeetingDate}">
							<out:attribute name="value" namespace="">
								<out:if test="(/mvc:eForm/mvc:Data/Meeting/record/MeetingDate != '')">
									<out:call-template name="parse-format-date">
										<out:with-param name="source_string" select="/mvc:eForm/mvc:Data/Meeting/record/MeetingDate" />
										<out:with-param name="source_pattern">yyyy-MM-dd</out:with-param>
										<out:with-param name="target_pattern">MM/dd/yyyy</out:with-param>
									</out:call-template>
								</out:if>
							</out:attribute>
						</input>
						<input name="date_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:date" />
						<script type="text/javascript">hyf.calendar.config['date'] = {popup: false, type: 'normal', hasDropDowns: false, dataFormat: 'yyyy-MM-dd'};</script>
						<a class="datePickerIcon" href="#" id="date_calendar_anchor" name="date_calendar_anchor" onclick="hyf.calendar.showCalendar('date');return false;">
     						</a>
						<input name="date_date_conversion_input" type="hidden" value="MM/dd/yyyy" />
						<input name="date_date_conversion_output" type="hidden" value="yyyy-MM-dd" />
						<span id="date_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="meeting_notes_label_container">
						<label class="label" for="meeting_notes" id="meeting_notes_label">Notes</label>
					</span>
					<span class="defaultBackground" id="meeting_notes_container">
						<textarea class="textbox" cols="40" id="meeting_notes" name="meeting_notes" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="">
							<out:value-of select="/mvc:eForm/mvc:Data/Meeting/record/MeetingNotes" />
						</textarea>
						<input name="meeting_notes_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:meeting_notes" />
						<span id="meeting_notes_message_container"></span>
					</span>
				</div>
			</div>
			<div class="editableTableContainer vertical" id="attendees_EditableTable_container">
				<div class="groupLabelBackground" id="attendees_EditableTable_container_label_container">
					<h2 class="label" id="attendees_EditableTable_container_label">Attendees</h2>
				</div>
				<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="attendees_EditableTable" summary="">
					<thead>
						<tr id="attendees_table_content_headings">
							<th class="labelBackground" id="name_ta_label_container" scope="col">
								<span class="label" id="name_ta_label">Name</span>
							</th>
							<th class="labelBackground" id="email_ta_label_container" scope="col">
								<span class="label" id="email_ta_label">Email</span>
							</th>
							<th class="hide" id="hiddenMeetId_label_container" scope="col" />
						</tr>
					</thead>
					<tbody id="attendees_EditableTable_body">
						<out:for-each select="/mvc:eForm/mvc:Data/MeetingParticipants/record">
							<out:variable name="attendees_EditableTableLoopEntry" select="." />
							<out:variable name="attendees_EditableTableLoopCount">
								<out:text>attendees_EditableTable</out:text>
								<out:value-of select="position()" />
							</out:variable>
							<out:variable name="attendees_EditableTable-repeat-position-number">
								<out:value-of select="position()" />
							</out:variable>
							<tr class="table" id="{$attendees_EditableTableLoopCount}attendees_table_content">
								<td class="defaultBackground" id="{$attendees_EditableTableLoopCount}name_ta_container">
									<input class="textbox" id="{$attendees_EditableTableLoopCount}name_ta" name="{$attendees_EditableTableLoopCount}name_ta" type="text" value="{Name}" />
									<input name="xgf_{$attendees_EditableTableLoopCount}name_ta_xpath_xga_createMeeting_retrieveRequirements_xga_createParticipants" type="hidden" value="/mvc:eForm/mvc:Data/MeetingParticipants/record[{$attendees_EditableTable-repeat-position-number}]/Name" />
									<input name="xgf_{$attendees_EditableTableLoopCount}name_ta_xpath_xga_createMeeting_submit" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:attendees_EditableTable[{$attendees_EditableTable-repeat-position-number}]/mvc:name_ta" />
									<span id="{$attendees_EditableTableLoopCount}name_ta_message_container"></span>
								</td>
								<td class="defaultBackground" id="{$attendees_EditableTableLoopCount}email_ta_container">
									<input class="textbox" id="{$attendees_EditableTableLoopCount}email_ta" name="{$attendees_EditableTableLoopCount}email_ta" type="text" value="{Email}" />
									<input name="xgf_{$attendees_EditableTableLoopCount}email_ta_xpath_xga_createMeeting_retrieveRequirements_xga_createParticipants" type="hidden" value="/mvc:eForm/mvc:Data/MeetingParticipants/record[{$attendees_EditableTable-repeat-position-number}]/Email" />
									<input name="xgf_{$attendees_EditableTableLoopCount}email_ta_xpath_xga_createMeeting_submit" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:attendees_EditableTable[{$attendees_EditableTable-repeat-position-number}]/mvc:email_ta" />
									<span id="{$attendees_EditableTableLoopCount}email_ta_message_container"></span>
								</td>
								<td class="hide" id="{$attendees_EditableTableLoopCount}hiddenMeetId_container">
									<input class="hide" id="{$attendees_EditableTableLoopCount}hiddenMeetId" name="{$attendees_EditableTableLoopCount}hiddenMeetId" type="hidden" value="{/mvc:eForm/mvc:Data/Meeting/record/MeetingId}" />
									<input name="xgf_{$attendees_EditableTableLoopCount}hiddenMeetId_xpath_xga_createMeeting_retrieveRequirements_xga_createParticipants" type="hidden" value="/mvc:eForm/mvc:Data/MeetingParticipants/record[{$attendees_EditableTable-repeat-position-number}]/MeetingId" />
									<input name="xgf_{$attendees_EditableTableLoopCount}hiddenMeetId_xpath_xga_createMeeting_submit" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:attendees_EditableTable[{$attendees_EditableTable-repeat-position-number}]/mvc:hiddenMeetId" />
									<span id="{$attendees_EditableTableLoopCount}hiddenMeetId_message_container"></span>
								</td>
							</tr>
						</out:for-each>
						<out:if test="not(/mvc:eForm/mvc:Data/MeetingParticipants/record)">
							<tr>
								<td class="noRepeatData" colspan="3" id="attendees_EditableTable_empty">No Data Found</td>
							</tr>
						</out:if>
					</tbody>
					<tbody id="attendees_EditableTable_newRowContent" style="display : none">
						<out:for-each select="/*[1]">
							<out:variable name="attendees_EditableTable-repeat-position-number">xxxxx</out:variable>
							<out:variable name="attendees_EditableTableLoopEntry" select="." />
							<out:variable name="attendees_EditableTableLoopCount">
								<out:text>attendees_EditableTableBlankEntry</out:text>
							</out:variable>
							<tr class="table" id="{$attendees_EditableTableLoopCount}attendees_table_content">
								<td class="defaultBackground" id="{$attendees_EditableTableLoopCount}name_ta_container">
									<input class="textbox" id="{$attendees_EditableTableLoopCount}name_ta" name="{$attendees_EditableTableLoopCount}name_ta" type="text" value="{Name}" />
									<input name="xgf_{$attendees_EditableTableLoopCount}name_ta_xpath_xga_createMeeting_retrieveRequirements_xga_createParticipants" type="hidden" value="/mvc:eForm/mvc:Data/MeetingParticipants/record[{$attendees_EditableTable-repeat-position-number}]/Name" />
									<input name="xgf_{$attendees_EditableTableLoopCount}name_ta_xpath_xga_createMeeting_submit" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:attendees_EditableTable[{$attendees_EditableTable-repeat-position-number}]/mvc:name_ta" />
									<span id="{$attendees_EditableTableLoopCount}name_ta_message_container"></span>
								</td>
								<td class="defaultBackground" id="{$attendees_EditableTableLoopCount}email_ta_container">
									<input class="textbox" id="{$attendees_EditableTableLoopCount}email_ta" name="{$attendees_EditableTableLoopCount}email_ta" type="text" value="{Email}" />
									<input name="xgf_{$attendees_EditableTableLoopCount}email_ta_xpath_xga_createMeeting_retrieveRequirements_xga_createParticipants" type="hidden" value="/mvc:eForm/mvc:Data/MeetingParticipants/record[{$attendees_EditableTable-repeat-position-number}]/Email" />
									<input name="xgf_{$attendees_EditableTableLoopCount}email_ta_xpath_xga_createMeeting_submit" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:attendees_EditableTable[{$attendees_EditableTable-repeat-position-number}]/mvc:email_ta" />
									<span id="{$attendees_EditableTableLoopCount}email_ta_message_container"></span>
								</td>
								<td class="hide" id="{$attendees_EditableTableLoopCount}hiddenMeetId_container">
									<input class="hide" id="{$attendees_EditableTableLoopCount}hiddenMeetId" name="{$attendees_EditableTableLoopCount}hiddenMeetId" type="hidden" value="{/mvc:eForm/mvc:Data/Meeting/record/MeetingId}" />
									<input name="xgf_{$attendees_EditableTableLoopCount}hiddenMeetId_xpath_xga_createMeeting_retrieveRequirements_xga_createParticipants" type="hidden" value="/mvc:eForm/mvc:Data/MeetingParticipants/record[{$attendees_EditableTable-repeat-position-number}]/MeetingId" />
									<input name="xgf_{$attendees_EditableTableLoopCount}hiddenMeetId_xpath_xga_createMeeting_submit" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:attendees_EditableTable[{$attendees_EditableTable-repeat-position-number}]/mvc:hiddenMeetId" />
									<span id="{$attendees_EditableTableLoopCount}hiddenMeetId_message_container"></span>
								</td>
							</tr>
						</out:for-each>
					</tbody>
				</table>
				<input name="xgf_hyfrepeat-participants_list-1-location_xga_createMeeting_retrieveRequirements_xga_createParticipants" type="hidden" value="/mvc:eForm/mvc:Data/MeetingParticipants/record" />
				<input name="xgf_hyfrepeat-participants_list-1-location_xga_createMeeting_submit" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:attendees_EditableTable" />
				<input name="hyfrepeat-participants_list-1-count" type="hidden" value="{count(/mvc:eForm/mvc:Data/MeetingParticipants/record)}" />
				<script type="text/javascript">
/* For more details on the available configuration options please see the following FAQ entry:
 * http://www.hyfinity.net/faq/index.php?solution_id=1075
 */
hyf.editabletable.init(hyf.editabletable.getLastTableOutput(),
                       {validate:true,
                        allow_add:true,
                        allow_delete:true,
                        allow_edit:true});
</script>
			</div>
			<div class="vertical" id="requirements_layout_group">
				<div class="pagingTableContainer vertical" id="PagingTable_container">
					<div class="pagingTableLabelBackground" id="PagingTable_container_label_container">
						<h2 class="label" id="PagingTable_container_label">Records</h2>
					</div>
					<div class="formElement">
						<span class="defaultBackground" id="btnAdd_container">
							<input id="btnAdd_submit_button" name="xgate_action_createMeeting_retrieveRequirements" type="submit" value="Search Requirements" />
							<span id="btnAdd_temp_container" style="display:none; visibility:hidden;">
								<input class="button" id="btnAdd" name="btnAdd" onclick="return btnAddonclick(event);" type="button" value="Search Requirements" />
							</span>
							<script type="text/javascript">
								<out:text disable-output-escaping="yes">document.getElementById('</out:text>
								<out:text disable-output-escaping="yes">btnAdd_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
								<out:text disable-output-escaping="yes">btnAdd_temp_container').innerHTML;</out:text>
							</script>
						</span>
					</div>
					<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="PagingTable" summary="">
						<thead>
							<tr id="table_content_headings">
								<th scope="col" />
							</tr>
						</thead>
						<tbody id="PagingTable_body">
							<out:for-each select="/mvc:eForm/mvc:Data/mvc:formData/mvc:PagingTable">
								<out:variable name="PagingTableLoopEntry" select="." />
								<out:variable name="PagingTableLoopCount">
									<out:text>PagingTable</out:text>
									<out:value-of select="position()" />
								</out:variable>
								<out:variable name="PagingTable-repeat-position-number">
									<out:value-of select="position()" />
								</out:variable>
								<tr class="table" id="{$PagingTableLoopCount}table_content">
									<td>
										<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="{$PagingTableLoopCount}record_repeat" summary="">
											<thead>
												<tr id="{$PagingTableLoopCount}record_group_headings">
													<th class="labelBackground" id="{$PagingTableLoopCount}RequirementId_label_container" scope="col">
														<span class="label" id="{$PagingTableLoopCount}RequirementId_label">Requirement Id</span>
													</th>
													<th class="labelBackground" id="{$PagingTableLoopCount}CapabilityAreaName_label_container" scope="col">
														<span class="label" id="{$PagingTableLoopCount}CapabilityAreaName_label">Capability</span>
													</th>
													<th class="labelBackground" id="{$PagingTableLoopCount}RequestDate_label_container" scope="col">
														<span class="label" id="{$PagingTableLoopCount}RequestDate_label">Request Date</span>
													</th>
													<th class="labelBackground" id="{$PagingTableLoopCount}Vectors_label_container" scope="col">
														<span class="label" id="{$PagingTableLoopCount}Vectors_label">Vectors</span>
													</th>
													<th class="labelBackground" id="{$PagingTableLoopCount}RequirementNumber_label_container" scope="col">
														<span class="label" id="{$PagingTableLoopCount}RequirementNumber_label">Requirement Number</span>
													</th>
													<th class="labelBackground" id="{$PagingTableLoopCount}RequestorPhone_label_container" scope="col">
														<span class="label" id="{$PagingTableLoopCount}RequestorPhone_label">Requestor Phone</span>
													</th>
													<th class="labelBackground" id="{$PagingTableLoopCount}RequestorName_label_container" scope="col">
														<span class="label" id="{$PagingTableLoopCount}RequestorName_label">Requestor Name</span>
													</th>
													<th class="labelBackground" id="{$PagingTableLoopCount}RequestorOrg_label_container" scope="col">
														<span class="label" id="{$PagingTableLoopCount}RequestorOrg_label">Requestor Org</span>
													</th>
													<th class="labelBackground" id="{$PagingTableLoopCount}RequestEmail_label_container" scope="col">
														<span class="label" id="{$PagingTableLoopCount}RequestEmail_label">Request Email</span>
													</th>
													<th class="labelBackground" id="{$PagingTableLoopCount}RequestDescription_label_container" scope="col">
														<span class="label" id="{$PagingTableLoopCount}RequestDescription_label">Request Description</span>
													</th>
												</tr>
											</thead>
											<tbody id="{$PagingTableLoopCount}record_repeat_body">
												<out:for-each select="/mvc:eForm/mvc:Data/MeetingRequirements/record">
													<out:variable name="record_repeatLoopEntry" select="." />
													<out:variable name="record_repeatLoopCount">
														<out:value-of select="$PagingTableLoopCount" />
														<out:text>record_repeat</out:text>
														<out:value-of select="position()" />
													</out:variable>
													<out:variable name="record_repeat-repeat-position-number">
														<out:value-of select="position()" />
													</out:variable>
													<tr id="{$record_repeatLoopCount}record_group">
														<td class="defaultBackground" id="{$record_repeatLoopCount}RequirementId_container">
															<span class="textbox" id="{$record_repeatLoopCount}RequirementId">
																<out:choose>
																	<out:when test="not(RequirementId) or (RequirementId = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="RequirementId" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="defaultBackground" id="{$record_repeatLoopCount}CapabilityAreaName_container">
															<span class="textbox" id="{$record_repeatLoopCount}CapabilityAreaName">
																<out:choose>
																	<out:when test="not(CapabilityAreaName) or (CapabilityAreaName = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="CapabilityAreaName" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="defaultBackground" id="{$record_repeatLoopCount}RequestDate_container">
															<span class="textbox" id="{$record_repeatLoopCount}RequestDate">
																<out:choose>
																	<out:when test="not(RequestDate) or (RequestDate = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:if test="(RequestDate != '')">
																			<out:call-template name="parse-format-date">
																				<out:with-param name="source_string" select="RequestDate" />
																				<out:with-param name="source_pattern">yyyy-MM-dd'T'HH:mm:ss</out:with-param>
																				<out:with-param name="target_pattern">MM/dd/yyyy</out:with-param>
																			</out:call-template>
																		</out:if>
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="defaultBackground" id="{$record_repeatLoopCount}Vectors_container">
															<span class="textbox" id="{$record_repeatLoopCount}Vectors">
																<out:choose>
																	<out:when test="not(Vectors) or (Vectors = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:if test="(Vectors != '')">
																			<out:call-template name="parse-format-date">
																				<out:with-param name="source_string" select="Vectors" />
																				<out:with-param name="source_pattern">yyyy-MM-dd'T'HH:mm:ss</out:with-param>
																				<out:with-param name="target_pattern">MM/dd/yyyy</out:with-param>
																			</out:call-template>
																		</out:if>
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="defaultBackground" id="{$record_repeatLoopCount}RequirementNumber_container">
															<span class="textbox" id="{$record_repeatLoopCount}RequirementNumber">
																<out:choose>
																	<out:when test="not(RequirementNumber) or (RequirementNumber = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="RequirementNumber" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="defaultBackground" id="{$record_repeatLoopCount}RequestorPhone_container">
															<span class="textbox" id="{$record_repeatLoopCount}RequestorPhone">
																<out:choose>
																	<out:when test="not(RequestorPhone) or (RequestorPhone = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="RequestorPhone" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="defaultBackground" id="{$record_repeatLoopCount}RequestorName_container">
															<span class="textbox" id="{$record_repeatLoopCount}RequestorName">
																<out:choose>
																	<out:when test="not(RequestorName) or (RequestorName = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="RequestorName" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="defaultBackground" id="{$record_repeatLoopCount}RequestorOrg_container">
															<span class="textbox" id="{$record_repeatLoopCount}RequestorOrg">
																<out:choose>
																	<out:when test="not(RequestorOrg) or (RequestorOrg = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="RequestorOrg" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="defaultBackground" id="{$record_repeatLoopCount}RequestEmail_container">
															<span class="textbox" id="{$record_repeatLoopCount}RequestEmail">
																<out:choose>
																	<out:when test="not(RequestEmail) or (RequestEmail = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="RequestEmail" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="defaultBackground" id="{$record_repeatLoopCount}RequestDescription_container">
															<span class="textbox" id="{$record_repeatLoopCount}RequestDescription">
																<out:choose>
																	<out:when test="not(RequestDescription) or (RequestDescription = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="RequestDescription" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
													</tr>
												</out:for-each>
												<out:if test="not(/mvc:eForm/mvc:Data/MeetingRequirements/record)">
													<tr>
														<td class="noRepeatData" colspan="10" id="{$PagingTableLoopCount}record_repeat_empty">No Data Found</td>
													</tr>
												</out:if>
											</tbody>
										</table>
									</td>
								</tr>
							</out:for-each>
							<out:if test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:PagingTable)">
								<tr>
									<td class="noRepeatData" colspan="1" id="PagingTable_empty">No Data Found</td>
								</tr>
							</out:if>
						</tbody>
					</table>
					<script type="text/javascript">
hyf.pagingtable.init(hyf.pagingtable.getLastTableOutput(), {enablePaging:true, pageSize:null, stripeRows:true});

					</script>
				</div>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc"><xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">if (!document.getElementById('calendarDiv')) { var calendarDiv = document.createElement('div');calendarDiv.setAttribute('id', 'calendarDiv');document.body.appendChild(calendarDiv); } 
            function btnAddonclick(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if (sourceComponent.nodeType == 3) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'btnAdd', field: document.getElementById('btnAdd')};

                return dojo.hitch(objEventSource.field, function(){
                        var objAction = {name: 'Action', option: 'Action', value: 'createMeeting_retrieveRequirements'};
                        var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                        hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            </xsl:text>			<out:text>
            field = document.getElementById('</out:text>
			<out:text>hidden</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>date</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_data_date_format','yyyy-MM-dd');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_display_date_format','MM/dd/yyyy');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','date');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>meeting_notes</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:for-each select="/mvc:eForm/mvc:Data/MeetingParticipants/record">
				<out:variable name="attendees_EditableTableLoopEntry" select="." />
				<out:variable name="attendees_EditableTableLoopCount">
					<out:text>attendees_EditableTable</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$attendees_EditableTableLoopCount" />
				<out:text>name_ta</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$attendees_EditableTableLoopCount" />
				<out:text>email_ta</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$attendees_EditableTableLoopCount" />
				<out:text>hiddenMeetId</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:for-each select="/*[1]">
				<out:variable name="attendees_EditableTableLoopEntry" select="." />
				<out:variable name="attendees_EditableTableLoopCount">
					<out:text>attendees_EditableTableBlankEntry</out:text>
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$attendees_EditableTableLoopCount" />
				<out:text>name_ta</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$attendees_EditableTableLoopCount" />
				<out:text>email_ta</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$attendees_EditableTableLoopCount" />
				<out:text>hiddenMeetId</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:for-each select="/mvc:eForm/mvc:Data/mvc:formData/mvc:PagingTable">
				<out:variable name="PagingTableLoopEntry" select="." />
				<out:variable name="PagingTableLoopCount">
					<out:text>PagingTable</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:for-each select="/mvc:eForm/mvc:Data/MeetingRequirements/record">
					<out:variable name="record_repeatLoopEntry" select="." />
					<out:variable name="record_repeatLoopCount">
						<out:value-of select="$PagingTableLoopCount" />
						<out:text>record_repeat</out:text>
						<out:value-of select="position()" />
					</out:variable>
				</out:for-each>
			</out:for-each>
</xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
