<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
<!--Some information has been retained from the existing file!-->
	<out:import href="conversions.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">RequirementsSearch</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_RequirementsSearch" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/theme_a.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DivControl.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<div _use="group" class="vertical" id="layout_group" xmlns="">
			<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="record_repeat" summary="">
				<thead>
					<tr id="record_group_headings">
						<th class="hide" id="meetingId_label_container" scope="col" />
						<th class="labelBackground" id="relatedFlagCB_label_container" scope="col">
							<span class="label" id="relatedFlagCB_label">Check</span>
						</th>
						<th class="hide" id="CurrentRequirementId_label_container" scope="col" />
						<th class="hide" id="RelatedRequirement_label_container" scope="col" />
						<th class="labelBackground" id="RequirementNumber_label_container" scope="col">
							<span class="label" id="RequirementNumber_label">Requirement Number</span>
						</th>
						<th class="labelBackground" id="CapabilityAreaName_label_container" scope="col">
							<span class="label" id="CapabilityAreaName_label">Capability Area </span>
						</th>
						<th class="labelBackground" id="RequestDate_label_container" scope="col">
							<span class="label" id="RequestDate_label">Request Date</span>
						</th>
						<th class="labelBackground" id="RequestorPhone_label_container" scope="col">
							<span class="label" id="RequestorPhone_label">Requestor Phone</span>
						</th>
						<th class="labelBackground" id="RequestorName_label_container" scope="col">
							<span class="label" id="RequestorName_label">Requestor Name</span>
						</th>
						<th class="labelBackground" id="RequestorOrg_label_container" scope="col">
							<span class="label" id="RequestorOrg_label">Requestor Org</span>
						</th>
						<th class="labelBackground" id="RequestEmail_label_container" scope="col">
							<span class="label" id="RequestEmail_label">Request Email</span>
						</th>
						<th class="labelBackground" id="RequestDescription_label_container" scope="col">
							<span class="label" id="RequestDescription_label">Request Description</span>
						</th>
						<th class="hide" id="WaitingFlag_label_container" scope="col" />
					</tr>
				</thead>
				<tbody id="record_repeat_body">
					<out:for-each select="/mvc:eForm/mvc:Data/RequirementsList/record">
						<out:variable name="record_repeatLoopEntry" select="." />
						<out:variable name="record_repeatLoopCount">
							<out:text>record_repeat</out:text>
							<out:value-of select="position()" />
						</out:variable>
						<out:variable name="record_repeat-repeat-position-number">
							<out:value-of select="position()" />
						</out:variable>
						<tr id="{$record_repeatLoopCount}record_group">
							<td class="hide" id="{$record_repeatLoopCount}meetingId_container">
								<input class="hide" id="{$record_repeatLoopCount}meetingId" name="{$record_repeatLoopCount}meetingId" type="hidden" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:meetingID}" />
								<input name="xgf_{$record_repeatLoopCount}meetingId_xpath_xga_filter_requirements" type="hidden" value="/mvc:eForm/mvc:Data/RequirementsList/record[{$record_repeat-repeat-position-number}]/mvc:meetingId" />
								<input name="xgf_{$record_repeatLoopCount}meetingId_xpath_xga_createMeeting_saveRequirements" type="hidden" value="/mvc:eForm/mvc:Data/MeetingRequirements/record[{$record_repeat-repeat-position-number}]/MeetingId" />
								<span id="{$record_repeatLoopCount}meetingId_message_container"></span>
							</td>
							<td class="defaultBackground" id="{$record_repeatLoopCount}relatedFlagCB_container">
								<input class="checkbox" id="{$record_repeatLoopCount}relatedFlagCB" name="{$record_repeatLoopCount}relatedFlagCB" type="checkbox" value="true">
									<out:if test="'true' = /mvc:eForm/mvc:Data/mvc:formData/mvc:relatedFlagCB">
										<out:attribute name="checked" namespace="">checked</out:attribute>
									</out:if>
								</input>
								<input name="xgf_{$record_repeatLoopCount}relatedFlagCB_xpath_xga_filter_requirements" type="hidden" value="/mvc:eForm/mvc:Data/RequirementsList/record[{$record_repeat-repeat-position-number}]/SelectedFlag" />
								<input name="xgf_{$record_repeatLoopCount}relatedFlagCB_xpath_xga_createMeeting_saveRequirements" type="hidden" value="/mvc:eForm/mvc:Data/MeetingRequirements/record[{$record_repeat-repeat-position-number}]/SelectedFlag" />
								<input id="{$record_repeatLoopCount}relatedFlagCB_value_if_not_submitted" name="{$record_repeatLoopCount}relatedFlagCB_value_if_not_submitted" type="hidden" value="false" />
								<span id="{$record_repeatLoopCount}relatedFlagCB_message_container"></span>
							</td>
							<td class="hide" id="{$record_repeatLoopCount}CurrentRequirementId_container">
								<input class="hide" id="{$record_repeatLoopCount}CurrentRequirementId" name="{$record_repeatLoopCount}CurrentRequirementId" type="hidden" value="{RequirementId}" />
								<input name="xgf_{$record_repeatLoopCount}CurrentRequirementId_xpath_xga_filter_requirements" type="hidden" value="/mvc:eForm/mvc:Data/RequirementsList/record[{$record_repeat-repeat-position-number}]/RequirementId" />
								<input name="xgf_{$record_repeatLoopCount}CurrentRequirementId_xpath_xga_createMeeting_saveRequirements" type="hidden" value="/mvc:eForm/mvc:Data/MeetingRequirements/record[{$record_repeat-repeat-position-number}]/RequirementId" />
							</td>
							<td class="hide" id="{$record_repeatLoopCount}RelatedRequirement_container">
								<input class="hide" id="{$record_repeatLoopCount}RelatedRequirement" name="{$record_repeatLoopCount}RelatedRequirement" type="hidden" value="{RequirementId}" />
								<input name="xgf_{$record_repeatLoopCount}RelatedRequirement_xpath_xga_filter_requirements" type="hidden" value="/mvc:eForm/mvc:Data/RequirementsList/record[{$record_repeat-repeat-position-number}]/mvc:RelatedRequirement" />
								<input name="xgf_{$record_repeatLoopCount}RelatedRequirement_xpath_xga_createMeeting_saveRequirements" type="hidden" value="/mvc:eForm/mvc:Data/MeetingRequirements/record[{$record_repeat-repeat-position-number}]/mvc:RelatedRequirement" />
							</td>
							<td class="defaultBackground" id="{$record_repeatLoopCount}RequirementNumber_container">
								<span class="textbox" id="{$record_repeatLoopCount}RequirementNumber">
									<out:choose>
										<out:when test="not(RequirementNumber) or (RequirementNumber = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="RequirementNumber" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="defaultBackground" id="{$record_repeatLoopCount}CapabilityAreaName_container">
								<span class="textbox" id="{$record_repeatLoopCount}CapabilityAreaName">
									<out:choose>
										<out:when test="not(CapabilityAreaName) or (CapabilityAreaName = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="CapabilityAreaName" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="defaultBackground" id="{$record_repeatLoopCount}RequestDate_container">
								<span class="textbox" id="{$record_repeatLoopCount}RequestDate">
									<out:choose>
										<out:when test="not(RequestDate) or (RequestDate = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:if test="(RequestDate != '')">
												<out:call-template name="parse-format-date">
													<out:with-param name="source_string" select="RequestDate" />
													<out:with-param name="source_pattern">yyyy-MM-dd'T'HH:mm:ss</out:with-param>
													<out:with-param name="target_pattern">MM/dd/yyyy</out:with-param>
												</out:call-template>
											</out:if>
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="defaultBackground" id="{$record_repeatLoopCount}RequestorPhone_container">
								<span class="textbox" id="{$record_repeatLoopCount}RequestorPhone">
									<out:choose>
										<out:when test="not(RequestorPhone) or (RequestorPhone = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="RequestorPhone" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="defaultBackground" id="{$record_repeatLoopCount}RequestorName_container">
								<span class="textbox" id="{$record_repeatLoopCount}RequestorName">
									<out:choose>
										<out:when test="not(RequestorName) or (RequestorName = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="RequestorName" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="defaultBackground" id="{$record_repeatLoopCount}RequestorOrg_container">
								<span class="textbox" id="{$record_repeatLoopCount}RequestorOrg">
									<out:choose>
										<out:when test="not(RequestorOrg) or (RequestorOrg = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="RequestorOrg" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="defaultBackground" id="{$record_repeatLoopCount}RequestEmail_container">
								<span class="textbox" id="{$record_repeatLoopCount}RequestEmail">
									<out:choose>
										<out:when test="not(RequestEmail) or (RequestEmail = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="RequestEmail" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="defaultBackground" id="{$record_repeatLoopCount}RequestDescription_container">
								<span class="textbox" id="{$record_repeatLoopCount}RequestDescription">
									<out:choose>
										<out:when test="not(RequestDescription) or (RequestDescription = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="RequestDescription" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="hide" id="{$record_repeatLoopCount}WaitingFlag_container">
								<input class="hide" id="{$record_repeatLoopCount}WaitingFlag" name="{$record_repeatLoopCount}WaitingFlag" type="hidden" value="{WaitingFlag}" />
								<input name="xgf_{$record_repeatLoopCount}WaitingFlag_xpath_xga_filter_requirements" type="hidden" value="/mvc:eForm/mvc:Data/RequirementsList/record[{$record_repeat-repeat-position-number}]/mvc:WaitingFlag" />
								<input name="xgf_{$record_repeatLoopCount}WaitingFlag_xpath_xga_createMeeting_saveRequirements" type="hidden" value="/mvc:eForm/mvc:Data/MeetingRequirements/record[{$record_repeat-repeat-position-number}]/mvc:WaitingFlag" />
							</td>
						</tr>
					</out:for-each>
					<out:if test="not(/mvc:eForm/mvc:Data/RequirementsList/record)">
						<tr>
							<td class="noRepeatData" colspan="13" id="record_repeat_empty">No Data Found</td>
						</tr>
					</out:if>
				</tbody>
			</table>
			<input name="xgf_hyfrepeat-RequirementsSearch-1-location_xga_filter_requirements" type="hidden" value="/mvc:eForm/mvc:Data/RequirementsList/record" />
			<input name="xgf_hyfrepeat-RequirementsSearch-1-location_xga_createMeeting_saveRequirements" type="hidden" value="/mvc:eForm/mvc:Data/MeetingRequirements/record" />
			<input name="hyfrepeat-RequirementsSearch-1-count" type="hidden" value="{count(/mvc:eForm/mvc:Data/RequirementsList/record)}" />
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc"><xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">if (!document.getElementById('calendarDiv')) { var calendarDiv = document.createElement('div');calendarDiv.setAttribute('id', 'calendarDiv');document.body.appendChild(calendarDiv); } </xsl:text>			<out:for-each select="/mvc:eForm/mvc:Data/RequirementsList/record">
				<out:variable name="record_repeatLoopEntry" select="." />
				<out:variable name="record_repeatLoopCount">
					<out:text>record_repeat</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$record_repeatLoopCount" />
				<out:text>meetingId</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$record_repeatLoopCount" />
				<out:text>relatedFlagCB</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$record_repeatLoopCount" />
				<out:text>CurrentRequirementId</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$record_repeatLoopCount" />
				<out:text>RelatedRequirement</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$record_repeatLoopCount" />
				<out:text>WaitingFlag</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','5');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
</xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
